#
# p457-tab1.R, 24 Aug 14
#
# Data from:
# Do Developers Benefit from Generic Types?


source("config.r")

library("lme4")
library("car")


# Subject,Pos,Time,Style,CIT
p457=read.csv(paste0(root, "developers/p457-CIT.csv"), as.is=TRUE)

pal_col=diverge_hcl(3)

pairs(Time ~ Pos+Style+CIT,
			data=p457)

p457_mod=glmer(Time ~ (Pos+Style+CIT)^2+ (Pos+Style+CIT | Subject)
			, data=p457, family="poisson")

summary(p457_mod)
Anova(p457_mod)

