#
# tcheck98.R, 11 Oct 13
#
# Data from:
# A Controlled Experiment to Assess the Benefits of Procedure Argument Type Checking
# Lutz Prechelt and Walter F. Tichy

source("config.r")

library("lme4")
library("car")


# subject,checking,problem,ordering,score
tcheck=read.csv(paste0(root, "experiment/tcheck98.csv"), as.is=TRUE)


tch_mod=lmer(score ~ checking+problem+ordering+(checking+problem+ordering | subject),
		data=tcheck)
summary(tch_mod)
Anova(tch_mod)

